/* #Typography */
body {
	font-style: $body_font_style;
	font-weight: $body_font_weight;
	font-size: $body_font_size{px};
	line-height: $body_line_height;
	font-family: @font_family( $body_font_family );
	letter-spacing: $body_letter_spacing{em};
	text-align: $body_text_align;
	text-transform: $body_text_transform;
	color: $regular_text_color;
}
h1,
.h1-style {
	font-style: $h1_font_style;
	font-weight: $h1_font_weight;
	font-size: @font_size($h1_font_size, multiple, round, $h1_mobile_multiple)px;
	line-height: $h1_line_height;
	font-family: @font_family( $h1_font_family );
	letter-spacing: $h1_letter_spacing{em};
	text-align: $h1_text_align;
	text-transform: $h1_text_transform;
	color: $regular_h1_color;
}
h2,
.h2-style {
	font-style: $h2_font_style;
	font-weight: $h2_font_weight;
	font-size: @font_size($h2_font_size, multiple, round, $h2_mobile_multiple)px;
	line-height: $h2_line_height;
	font-family: @font_family( $h2_font_family );
	letter-spacing: $h2_letter_spacing{em};
	text-align: $h2_text_align;
	text-transform: $h2_text_transform;
	color: $regular_h2_color;
}
h3,
.h3-style {
	font-style: $h3_font_style;
	font-weight: $h3_font_weight;
	font-size: @font_size($h3_font_size, multiple, round, $h3_mobile_multiple)px;
	line-height: $h3_line_height;
	font-family: @font_family( $h3_font_family );
	letter-spacing: $h3_letter_spacing{em};
	text-align: $h3_text_align;
	text-transform: $h3_text_transform;
	color: $regular_h3_color;
}
h4,
.h4-style {
	font-style: $h4_font_style;
	font-weight: $h4_font_weight;
	font-size: $h4_font_size{px};
	line-height: $h4_line_height;
	font-family: @font_family( $h4_font_family );
	letter-spacing: $h4_letter_spacing{em};
	text-align: $h4_text_align;
	text-transform: $h4_text_transform;
	color: $regular_h4_color;
}
h5,
.h5-style {
	font-style: $h5_font_style;
	font-weight: $h5_font_weight;
	font-size: $h5_font_size{px};
	line-height: $h5_line_height;
	font-family: @font_family( $h5_font_family );
	letter-spacing: $h5_letter_spacing{em};
	text-align: $h5_text_align;
	text-transform: $h5_text_transform;
	color: $regular_h5_color;
}
h6,
.h6-style {
	font-style: $h6_font_style;
	font-weight: $h6_font_weight;
	font-size: $h6_font_size{px};
	line-height: $h6_line_height;
	font-family: @font_family( $h6_font_family );
	letter-spacing: $h6_letter_spacing{em};
	text-align: $h6_text_align;
	text-transform: $h6_text_transform;
	color: $regular_h6_color;
}
@media (min-width: 1200px) {
	h1,
	.h1-style { font-size: $h1_font_size{px}; }

	h2,
	.h2-style { font-size: $h2_font_size{px}; }

	h3,
	.h3-style { font-size: $h3_font_size{px}; }
}

h1 em,
h2 em,
h3 em,
h4 em,
h5 em,
h6 em,
.elementor-heading-title i,
.elementor-heading-title i,
.elementor-heading-title i,
.elementor-heading-title i,
.elementor-heading-title i,
.elementor-heading-title i,
.h1-style em,
.h2-style em,
.h3-style em,
.h4-style em,
.h5-style em,
.h6-style em,
.accent-text {
	font-style: $accent_font_style;
	font-weight: $accent_font_weight;
	font-family: @font_family( $accent_font_family );
	letter-spacing: $accent_letter_spacing{em};
	text-transform: $accent_text_transform;
}

a, dl a:hover, p a { color: $regular_link_color; }
a:hover, dl a, p a:hover { color: $regular_link_hover_color; }

a[href*="tel:"],
a[href*="callto:"],
a[href*="mailto:"] { color: $regular_link_hover_color; }

a[href*="tel:"]:hover,
a[href*="callto:"]:hover,
a[href*="mailto:"]:hover { color: $regular_link_color; }

/* #Invert Color Scheme */
.invert { color: $invert_text_color; }
.invert h1 { color: $invert_h1_color; }
.invert h2 { color: $invert_h2_color; }
.invert h3 { color: $invert_h3_color; }
.invert h4 { color: $invert_h4_color; }
.invert h5 { color: $invert_h5_color; }
.invert h6 { color: $invert_h6_color; }
.invert a  { color: $invert_link_color; }
.invert a:hover { color: $invert_link_hover_color; }

.invert a[href*="tel:"],
.invert a[href*="callto:"],
.invert a[href*="mailto:"] { color: $invert_link_hover_color; }

.invert a[href*="tel:"]:hover,
.invert a[href*="callto:"]:hover,
.invert a[href*="mailto:"]:hover { color: $invert_link_color; }

/* #Helpers */
.primary-color {
	color: $regular_accent_color_1;
}

/* #Layout */
@media (min-width: 1200px) {
	.site .container {
		max-width: $container_width{px};
	}
}

.page-layout-boxed > .site.container {
	max-width: $page_boxed_width{px};
}

@media (min-width: 768px) {
	.page-layout-boxed .isStuck {
		max-width: $page_boxed_width{px};
	}
}

/* #Pages */
.site { background-color: $page_bg_color; }

.not-found .page-title,
.error-404 .page-content h2 { color: $regular_accent_color_1; }

.invert.error-404 .page-content h2{ color: $invert_accent_color_1; }

/* #404 page */
body.error404 .site-content {
	background-color: $page_404_bg_color;
	background-repeat: $page_404_bg_repeat;
	background-attachment: $page_404_bg_attachment;
	background-size: $page_404_bg_size;
	@background_url($page_404_bg_image);
	@background_position($page_404_bg_position);
}

@media (min-width: 1200px) {
	.error-404 .page-content h2 {
		font-size: @font_size($h2_font_size, multiple, round, 0.9)px;
	}
}
